; votemgr will search its home directory for the file called VOTEMGR.CTL
;
; VOTEMGR.CTL structure
;
;      . general options
;      . receipt text files
;      . voting definition block structure
;
;
; Note: paths MUST be terminated with a backslash '\'
;
; Notation:     <...>   one item
;               {...}   one or more items
;               [<...>] optional item
;
;
; ---------------------------------------------------------------------
; general options
; ---------------------------------------------------------------------

; user name and registration key
; USERCODE <1stname_lastname> [<regkey>]
usercode Alex Exler

; your address
; ADDRESS  z:net/node[.point]
address 2:5020/238.443

; your net mail directory (-.MSG files)
; NETMAIL  <path>
netmail c:\fido\netmail\

; your work directory. this is where votemgr will store results,
; temporary files, as well as semaphore files.
; defaults to the directory where votemgr.exe is stored.
; [WORKPATH <path>]
workpath c:\fido\votemgr\

; your inbound directory. this is where packets with results
; will be created for tossing into your message base for later export.
; [INBOUND  <path>]
;inbound c:\fido\netfiles

; your origin line for votemgr packets
; [ORIGINLINE
; <origin_line>]
originline
>>> VoteMgr as a ruler <<<

; default 'moving' directory. messages addressed to votemgr will be
; moved to this directory unless other directory is later specified
; [MOVEPATH <path>]
;movepath c:\fido\votemgr\msg\

; file for logging votemgr activities
; [LOGFILE  <file_spec>]
logfile c:\fido\votemgr\votemgr.log

; receipt message status
; p-private; k-kill; h-hold; c-crash; s-sent; d-direct
; note that if you don't want votemgr to send messages you must flag
; them as SENT
; [STATUS   {pkhcsd}]
status pk

; if you want to erase processed messages. default is to flag them Rcvd
; note that those messages subject to be moved will -not- be erased
; even if you set killprocessed.
; [KILLPROCESSED]
;killprocessed

; if you want votemgr to always insert ^AINTL kludge line. This feature
; is usefull for those who run systems with akas in different networks
; -and so, different zones...-. The default procedure is to only insert
; ^AINTL kludge line if the destination zone and the zone in your
; address are different.
; [FORCEINTL]
forceintl

; if you DON'T want votemgr to only scan netmail messages newer than
; votemgr.tim (a file that is created everytime you run votemgr). Default
; is to use votemgr.tim information for faster performance.
; [NOTIM]
;notim


; ---------------------------------------------------------------------
; receipt text files
; ---------------------------------------------------------------------
; these files should contain plain vanilla ASCII texts
;
; NOTE!!! These files are OPTIONAL and you DON'T NEED to use them!!!

; "help" message body
; [HELPTXT <file_spec>]
helptxt c:\fido\votemgr\rus\vmgruser.doc

; "active votings" heading
; [ACTIVETXT <file_spec>]
activetxt c:\fido\votemgr\rus\active.txt

; "valid choices" heading
; [CHOICESTXT <file_spec>]
choicestxt c:\fido\votemgr\rus\choices.txt

; "return receipt" text
; [RECEIPTTXT <file_spec>]
receipttxt c:\fido\votemgr\rus\receipt.txt

; "duplicate vote" text
; [DUPLICATETXT <file_spec>]
duplicatetxt c:\fido\votemgr\rus\duplic.txt

; "not a valid choice" text
; [ERRCHOICETXT <file_spec>]
errchoicetxt c:\fido\votemgr\rus\errchoi.txt

; "not an active voting" text
; [ERRVOTTXT <file_spec>]
errvottxt c:\fido\votemgr\rus\errvot.txt

; "not validated for this voting" text
; [ERRVOTTXT <file_spec>]
errvaltxt c:\fido\votemgr\rus\errval.txt

; "ballot received too late"
; [TOOLATETXT <file_spec>]
toolatetxt c:\fido\votemgr\rus\toolate.txt

; "ballot received too soon"
; [TOOSOONTXT <file_spec>]
toosoontxt c:\fido\votemgr\rus\toosoon.txt


; ---------------------------------------------------------------------
; voting definition block structure
; ---------------------------------------------------------------------
; this block can be repeated as many as 25 times, defining 25 different
; votings

; definition block starter
; electname must be a valid DOS file name (max 8 chars)
; DEFINE <electname>
define HOCKEY


; validate statements allow you to specify who is allowed to vote.
; ALL macro is supported; read documentation for more details on this.
;
; VALIDATE <address [{address}]>
; [{VALIDATE <address [{address}]>}]
validate 2:All/All.All

; reject statements allow you to specify who is -not- allowed to vote.
; this statement is used to make exceptions to global validations.
; ALL macro is supported.
;
; REJECT <address [{address}]>
; [{REJECT <address [{address}]>}]
;reject 2:343/0 2:343/100 2:343/200 2:343/300 2:343/800

; area tag of the echomail area for which packets will be created
; [AREA <area_tag>]
;area 443.links

; first day of ballot processing (ballots received previous to this
; date will be ignored, and addressee will be notified)
; FROMDATE <yyyy.mm.dd>
fromdate 1998.08.26

; last day of ballot processing (ballots received after this date will
; be ignored, and addressee will be notified)
; TODATE <yyyy.mm.dd>
todate 1998.09.09

; directory where ballots (and only ballots) FOR THIS VOTING will be moved to
; [MOVEPATH <path>]
movepath c:\fido\votemgr\hockey.msg\

; hides names and addresses when reporting results FOR THIS VOTING
; [PRIVATE]
;private

; accept NULL ballots (ballots with a vote for an unknown choice)
; anything but listed choices will be considered "null" choices
; otherwise a receipt message is generated and ballot is not computed
; [NULLOK]
;nullok

; accept UNLISTED choices in ballots (ballots with a vote for an unknown choice)
; activate this option if you want to accept unlisted choices
; otherwise a receipt message is generated and ballot is not computed
; [UNLISTEDOK]
;unlistedok

; description of the voting to be displayed when listed
; [INFOTXT <file_spec>]
infotxt c:\fido\votemgr\hockey\hockey.nfo

; heading for results. this text defaults to INFOTXT
; [RESULTTXT <file_spec>]
;resulttxt c:\vote\necresul.txt

; list of valid choices for the voting. only one choice per line.
; choices MUST not contain spaces ' ' but rather underscores '_'
; up to 100 different choices can be defined
; CHOICES
; ...
; ENDCHOICES

choices

Sergey_Boguslavsky

Dmitriy_Spiridonow

Denis_Mingulov

Olga Zamanskaya

Evgeni Rovda

None_of_the_above


endchoices

; definition block END marker
; ENDDEF
enddef

;++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
; ---------------------------------------------------------------------
; voting definition block structure
; ---------------------------------------------------------------------
; this block can be repeated as many as 25 times, defining 25 different
; votings

; definition block starter
; electname must be a valid DOS file name (max 8 chars)
; DEFINE <electname>
define HALYAVA


; validate statements allow you to specify who is allowed to vote.
; ALL macro is supported; read documentation for more details on this.
;
; VALIDATE <address [{address}]>
; [{VALIDATE <address [{address}]>}]
validate 2:All/All.All

; reject statements allow you to specify who is -not- allowed to vote.
; this statement is used to make exceptions to global validations.
; ALL macro is supported.
;
; REJECT <address [{address}]>
; [{REJECT <address [{address}]>}]
;reject 2:343/0 2:343/100 2:343/200 2:343/300 2:343/800

; area tag of the echomail area for which packets will be created
; [AREA <area_tag>]
;area 443.links

; first day of ballot processing (ballots received previous to this
; date will be ignored, and addressee will be notified)
; FROMDATE <yyyy.mm.dd>
fromdate 1998.08.31

; last day of ballot processing (ballots received after this date will
; be ignored, and addressee will be notified)
; TODATE <yyyy.mm.dd>
todate 1998.09.14

; directory where ballots (and only ballots) FOR THIS VOTING will be moved to
; [MOVEPATH <path>]
movepath c:\fido\votemgr\HALYAVA.msg\

; hides names and addresses when reporting results FOR THIS VOTING
; [PRIVATE]
;private

; accept NULL ballots (ballots with a vote for an unknown choice)
; anything but listed choices will be considered "null" choices
; otherwise a receipt message is generated and ballot is not computed
; [NULLOK]
;nullok

; accept UNLISTED choices in ballots (ballots with a vote for an unknown choice)
; activate this option if you want to accept unlisted choices
; otherwise a receipt message is generated and ballot is not computed
; [UNLISTEDOK]
;unlistedok

; description of the voting to be displayed when listed
; [INFOTXT <file_spec>]
infotxt c:\fido\votemgr\HALYAVA\HALYAVA.nfo

; heading for results. this text defaults to INFOTXT
; [RESULTTXT <file_spec>]
;resulttxt c:\vote\necresul.txt

; list of valid choices for the voting. only one choice per line.
; choices MUST not contain spaces ' ' but rather underscores '_'
; up to 100 different choices can be defined
; CHOICES
; ...
; ENDCHOICES

choices

Andrew_Efimov

Alex_Grishin

Anton_Blagoveschensky

Alexander_Perevesentsev

Pavel_Titov

Sergey_Zeldinov

Lev_Orlov

Eugene_Evlanov

Oleg_Tikhomiroff

Alexander_Milovidov

Sergey_Tyurin

Evgeniy_Rubcov

Pavel_Kovalev

Andrew_Khokhlushin

Ilya_Koptev

None_of_the_above

endchoices

; definition block END marker
; ENDDEF
enddef

